# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.64
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.64) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Module-Extract-Namespaces
Version:	1.021
Release:	1.%{__distinit}%{__distvers}
Summary:	Extract the package declarations from a module
License:	Artistic 2.0
URL:		http://search.cpan.org/dist/Module-Extract-Namespaces/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Module-Extract-Namespaces-%{version}.tar.gz
Patch1:		Module-Extract-Namespaces-1.021-old-EU::MM.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:	perl(Test::Manifest) >= 1.21
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(PPI) >= 1.126
BuildRequires:	perl(strict)
BuildRequires:	perl(subs)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More) >= 0.94
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module extracts package declarations from Perl code without running the
code.

It does not extract:

 * Packages declared dynamically (e.g. in eval)
 * Packages created as part of a fully qualified variable name

%prep
%setup -q -n Module-Extract-Namespaces-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.64
%if %{old_eumm}
%patch1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

# If we have an old ExtUtils::MakeMaker, README.pod could get installed, which we don't want
rm -f %{buildroot}%{_mandir}/man3/HTTP::README.3pm
rm -f %{buildroot}%{perl_vendorlib}/HTTP/README.pod

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.pod
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Extract::Namespaces.3*

%changelog
* Thu Nov 30 2017 Paul Howarth <paul@city-fan.org> - 1.021-1
- Update to 1.021
  - Removed the shim code for PPI older than 1.125; now you have to have an
    updated PPI that understands the v5.12 package syntax
- License changed from "same as perl" to Artistic 2.0
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Work around requirement for ExtUtils::MakeMaker ≥ 6.64
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Sep  6 2016 Paul Howarth <paul@city-fan.org> - 1.02-9
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 1.02-5
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Thu Feb  6 2014 Paul Howarth <paul@city-fan.org> - 1.02-1
- Initial RPM version
